const path = require('node:path')
const fs = require('node:fs/promises')

class FileService {
  constructor (options) {
    this.filePath = path.isAbsolute(options.suiteFilePath) ? options.suiteFilePath : path.resolve(process.cwd(), options.suiteFilePath)

    this.project = options.project
    this.reference = options.reference
    this.suiteName = options.suiteName
    this.partitionId = options.partitionId
  }

  async fullSuite () {
    try {
      const tests = JSON.parse(await fs.readFile(this.filePath))
      if (Array.isArray(tests)) return { tests, locked: false }
      return tests
    } catch (error) {
      if (error.code === 'ENOENT') return { tests: [], locked: false }
      throw new Error(error)
    }
  }

  referenceExists () {
    return true
  }

  async getPartition () {
    return []
  }

  postNodePartition ({ tests, nodeIndex }) {
  }

  postPartition ({ tests }) {
  }

  postNewTests ({ newTests }) {
    // const body = newTests.map(test => Object.assign({ enabled: false, state: 'new' }, test))
  }
}
module.exports = FileService
