import licenseHeader from 'eslint-plugin-license-header'
import fs from 'node:fs'

const licenseRule = fs.existsSync('./license-header') ? ['error', './license-header'] : ['off']

export default [
  {
    name: 'license-header *js',
    files: ['**/*.js', '**/*.mjs', '**/*.cjs'],
    plugins: {
      'license-header': licenseHeader
    },
    ignores: [
      'src/pe/**/*',
      'public/*',
      'node_modules/*',
      'dist/*',
      'output/*',
      'helm/*',
      '**/*.vue',
      '**/*.ts'
    ],
    rules: {
      'license-header/header': licenseRule
    }
  }
]
