import random from 'randomModule'
import gt from 'gettext'
import random2 from 'randomModule2'
import { nSize } from './fuzzy_module'

console.log('There should be a translated string: ', gt('translate me!'))

console.log(gt('String with " in it'))

// #. empty is meant as an action (make folder empty!)
console.log(gt.pgettext('perform action', 'Empty folder'))
// #. empty is meant as a state (folder is empty)
console.log(gt.pgettext('describe state', 'Empty folder'))

// #. %1$d is the number of items in the box
// #, c-format
console.log(gt.ngettext('Box contains %1$d item', 'Box contains %1$d items', 4))

// #. %1$d is the number of items in the drive
// #. Drive is meant to be a product name, here
// #, c-format
console.log(gt.npgettext('product name', 'Drive contains %1$d item', 'Drive contains %1$d items', 23))
// #. %1$d is the number of items in the drive
// #. Drive is meant to be a part of a computer, here (as in HDD)
// #, c-format
console.log(gt.npgettext('part of computer', 'Drive contains %1$d item', 'Drive contains %1$d items', 42))

const firstName = 'First'
const lastName = 'Last'
console.log(random, random2)

console.log(
  // #. %1$s is the given name
  // #. %2$s is the family name
  // #, c-format
  gt('Welcome, %1$s %2$s!', firstName, lastName)
)
console.log(
  // #. %1$s is the given name
  // #. %2$s is the family name
  // #, c-format
  gt('gt with 2 optional arguments, %1$s %2$s!', firstName, lastName),
  gt.gettext('gt.gettext with 2 optional arguments, %1$s %2$s!', firstName, lastName),
  gt.ngettext('gt.ngettext with 2 optional arguments, %1$s %2$s!', 'plural with 2 arguments, %1$s %2$s!', firstName, lastName),
  gt.pgettext('', 'gt.pgettext with 2 optional arguments, %1$s %2$s!', firstName, lastName),
  gt.npgettext('', 'gt.npgettext with 2 optional arguments, %1$s %2$s!', 'plural with 2 arguments, %1$s %2$s!', firstName, lastName)
)

console.log(gt('A message with fuzzy translation'))

console.log(nSize)

console.log(
  // #. A c-format string without c-format flag set
  gt('A c-format string %1$s', 'hello')
)

console.log({
  // #. Banana joe
  // #. You know
  text: gt('Where is Banana Joe')
})

// no gt functions. they will be processed as well but will not be extracted
const other = 1
console.log(Math.max(1, other))
