import type { ResolvedConfig } from 'vite'

import { definePlugin } from './plugin.js'
import { PROJECT_NAME, stringifyJSON } from '../util.js'

export default definePlugin(({ meta }) => {
  let resolvedConfig: ResolvedConfig

  return {
    name: `${PROJECT_NAME}/meta-plugin`,

    configResolved (config) {
      resolvedConfig = config
    },

    generateBundle () {
      if (meta && Object.keys(meta).length) {
        this.emitFile({
          fileName: 'meta.json',
          type: 'asset',
          source: stringifyJSON(resolvedConfig, meta)
        })
      }
    }
  }
})
