import { describe, it, expect } from '@jest/globals'
import { build } from 'vite'

import vitePluginOxManifests from '../../dist/index'
import { getFileFromBundle, getDirname } from '../util'

const __dirname = getDirname(import.meta.url)

describe('Preload helper bundled', function () {
  it('works', async function () {
    const bundle = await build({
      root: __dirname,
      logLevel: 'silent',
      build: {
        minify: false,
        write: false,
        rollupOptions: {
          input: {}
        }
      },
      plugins: [vitePluginOxManifests({

      })]
    })

    const index = getFileFromBundle('index', bundle)
    expect(index.code).toContain('const __vitePreload = function preload')

    const manifestFile = getFileFromBundle('manifest', bundle)
    const manifests = JSON.parse(manifestFile.source)
    expect(Object.keys(manifests)).toHaveLength(2)
    expect(manifests['index.js'].dependencies).toBeUndefined()
  })
})
