import altGt from 'gettext'
import { format } from 'randomModule'

const item = {
  value: 'foo'
}

console.log(altGt('A string from a fuzzy module'))
console.log(altGt('A string with\n \\n in it'))
console.log(format(altGt.ngettext('%1$d Minute', '%1$d Minutes', item.value), altGt.noI18n(item.value)))

// some strings in front of the gt call (same line)
// #. another gt comment for Bytes
export const nSize = [/* #. Bytes */altGt('B'),
  /* #. Kilobytes */ altGt('KB'),
  /* #. Megabytes */ altGt('MB'),
  /* #. Gigabytes */ altGt('GB'),
  /* #. Terabytes */ altGt('TB'),
  /* #. Petabytes */ altGt('PB'),
  /* #. Exabytes */ altGt('EB'),
  /* #. Zettabytes */ altGt('ZB'),
  /* #. Yottabytes */ altGt('YB')]

console.log(nSize)

console.log(altGt('A ' + 'custom ' + 'concatenated ' +
               'string ' + 'to ' + 'support multiple lines'))
console.log(altGt.ngettext('%1$d ' + 'thing', '%1$d ' + 'things', item.value))
console.log(altGt.pgettext('my context', 'concat ' + 'pgettext'))
console.log(altGt.npgettext('my context', 'with %1$d ' + 'thing', 'with %1$d ' + 'things', item.value))

const firstName = 'First'
const lastName = 'Last'
console.log(
  // #. %1$s is the given name
  // #. %2$s is the family name
  // #, c-format
  format(altGt('Welcome, %1$s %2$s!'), firstName, lastName)
)

console.log(altGt('Attachment'))
console.log(altGt('Attachments'))
console.log(altGt('White-space hurray! '))
